Licensing
Authorizations
AuthorizationstringRequired
Insert the JWT token here
Responses
200
Default Response
application/json
statusbooleanOptional
Indicates if the request was successful
errMessagestringOptional
Error message if the request failed
400
Bad Request
application/json
401
Unauthorized - The request requires a valid Bearer token.
To access this endpoint:
1. Make a POST request to /api/public/v1/auth with valid credentials to obtain the access token.
2. Click the "Authorize" button in the Swagger UI and enter the token.
3. All protected endpoints require the Authorization header: "Authorization: 'Bearer your-access-token'"
application/json
500
Internal Server Error
application/json
503
Service Unavailable — Connection Refused
application/json
get/api/public/v3/licensing/licenses
GET /api/public/v3/licensing/licenses HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"status": true,
"errMessage": "text",
"features": [
{
"featureName": "NoOfUsers",
"version": "10.1",
"count": 25
}
]
}Authorizations
AuthorizationstringRequired
Insert the JWT token here
Body
deviceIdstringOptional
fileDatastring · binaryRequired
Responses
200
Default Response
application/json
successbooleanOptional
messagestringOptional
deviceIdstringOptional
fileNamestringOptional
fileSizenumberOptional
featuresCountnumberOptional
post/api/public/v3/licensing/upload
POST /api/public/v3/licensing/upload HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 39
{
"deviceId": "text",
"fileData": "binary"
}200
Default Response
{
"success": true,
"message": "text",
"deviceId": "text",
"fileName": "text",
"fileSize": 1,
"featuresCount": 1
}Last updated
Was this helpful?

